# Copyright (c) 2005, XenSource Ltd.


from xen.xend.server.blkif import BlkifController
from xen.xend.XendError import XendError

blktap_disk_types = [
    'aio',
    'sync',
    'vmdk',
    'ram',
    'qcow'
    ]

class BlktapController(BlkifController):
    def __init__(self, vm):
        BlkifController.__init__(self, vm)
        
    def frontendRoot(self):
        """@see DevController#frontendRoot"""
        
        return "%s/device/vbd" % self.vm.getDomainPath()

    def createDevice(self, config):
        """Trigger the creation of a device with the given configuration.

        @return The ID for the newly created device.
        """
        (devid, back, front) = self.getDeviceDetails(config)

        if back['params'].split(':')[0] not in blktap_disk_types:
            raise XendError("tap:%s not a valid disk type" %
                            back['params'].split(':')[0])

        return BlkifController.createDevice(self, config)
